Package com.tietoenator.trip.jxp.data

# Enum Class TdbDataFormat

java.lang.Object
java.lang.Enum<TdbDataFormat>
com.tietoenator.trip.jxp.data.TdbDataFormat

All Implemented Interfaces:
  `Serializable`, `Comparable<TdbDataFormat>`, `Constable`

public enum TdbDataFormat extends Enum<TdbDataFormat>
Data formats available for retrieval when fetching one or more records from the server.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ELEMENT`
  Fields will be represented using elements named for each field.
  `RAW`
  Fields will be represented using the <FIELD> element, with a NAME attribute for the field's name.
  `TFORM`
  Within the XML markup required for transport via TRIPxpi, the actual data of the record will be represented using TFORM.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TdbDataFormat`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TdbDataFormat[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TFORM

    public static final TdbDataFormat TFORM
    Within the XML markup required for transport via TRIPxpi, the actual data of the record will be represented using TFORM.

  - ### RAW

    public static final TdbDataFormat RAW
    Fields will be represented using the <FIELD> element, with a NAME attribute for the field's name. This format is most useful in environments where the calling application is not in complete control of the data being retrieved.

  - ### ELEMENT

    public static final TdbDataFormat ELEMENT
    Fields will be represented using elements named for each field. This format is most useful when the calling application is in complete control of the retrieval operation.

- ## Method Details

  - ### values

    public static TdbDataFormat[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TdbDataFormat valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null